Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2011)
@@ -777,19 +638,18 @@
         ENDIF
 
-        !-- fill gridsurf and surfl
+!--     fill surfl
         ALLOCATE(surfl(4,nsurfl))
         isurf = 0
         
-        !-- add land surfaces or roofs
+!--     add land surfaces or roofs
         DO i = nxl, nxr
             DO j = nys, nyn
                 isurf = isurf + 1
                 k = nzb_s_inner(j,i)+1
-!ketelsen:                gridsurf(iroof,k,j,i) = isurf
                 surfl(:,isurf) = (/iroof,k,j,i/)
             ENDDO
         ENDDO
 
-        !-- add walls
+!--     add walls
         DO i = nxl, nxr
             DO j = nys, nyn
@@ -799,5 +659,4 @@
                     DO k = nzb_s_inner(j,i)+1, nzb_s_inner(jr,ir)
                         isurf = isurf + 1
-!ketelsen:                        gridsurf(isouth,k,j,i) = isurf
                         surfl(:,isurf) = (/ids,k,j,i/)
                     ENDDO
@@ -806,23 +665,21 @@
         ENDDO
 
-        !-- add sky
+!--     add sky
         DO i = nxl, nxr
             DO j = nys, nyn
                 isurf = isurf + 1
                 k = nzut
-!ketelsen:                gridsurf(isky,k,j,i) = isurf
                 surfl(:,isurf) = (/isky,k,j,i/)
             ENDDO
         ENDDO
         
-        !-- calulation of the free borders of the domain
+!--     calulation of the free borders of the domain
         DO ids = 6,9
-            IF ( isborder(ids) ) THEN
-                !-- free border of the domain in direction ids
+            IF ( isborder(ids) )  THEN
+!--             free border of the domain in direction ids
                 DO i = ijdb(1,ids), ijdb(2,ids)
                     DO j = ijdb(3,ids), ijdb(4,ids)
                         DO k = max(nzb_s_inner(j,i),nzb_s_inner(j-jdir(ids),i-idir(ids)))+1, nzut
                             isurf = isurf + 1
-!ketelsen:                            gridsurf(ids,k,j,i) = isurf
                             surfl(:,isurf) = (/ids,k,j,i/)
                         ENDDO
@@ -832,5 +689,5 @@
         ENDDO
         
-        !-- global array surf of indices of surfaces and displacement index array surfstart
+!--     global array surf of indices of surfaces and displacement index array surfstart
         ALLOCATE(nsurfs(0:numprocs-1))
         
@@ -856,15 +713,15 @@
 #endif
         
-        !--
-        !-- allocation of the arrays for direct and diffusion radiation
+!--
+!--     allocation of the arrays for direct and diffusion radiation
         CALL location_message( '    allocation of radiation arrays', .TRUE. )
-        !-- rad_sw_in, rad_lw_in are computed in radiation model,
-        !-- splitting of direct and diffusion part is done
-        !-- in usm_calc_diffusion_radiation for now
+!--     rad_sw_in, rad_lw_in are computed in radiation model,
+!--     splitting of direct and diffusion part is done
+!--     in usm_calc_diffusion_radiation for now
         ALLOCATE( rad_sw_in_dir(nysg:nyng,nxlg:nxrg) )
         ALLOCATE( rad_sw_in_diff(nysg:nyng,nxlg:nxrg) )
         ALLOCATE( rad_lw_in_diff(nysg:nyng,nxlg:nxrg) )
         
-        !-- allocate radiation arrays
+!--     allocate radiation arrays
         ALLOCATE( surfins(nsurfl) )
         ALLOCATE( surfinl(nsurfl) )
@@ -883,18 +740,18 @@
         ALLOCATE( rad_net_l(startenergy:endenergy) )
 
-        !-- Wall surface model
-        !-- allocate arrays for wall surface model and define pointers
+!--     Wall surface model
+!--     allocate arrays for wall surface model and define pointers
        
-        !-- allocate array of wall types and wall parameters
+!--     allocate array of wall types and wall parameters
         ALLOCATE ( surface_types(startenergy:endenergy) )
        
-        !-- broadband albedo of the land, roof and wall surface
-        !-- for domain border and sky set artifically to 1.0
-        !-- what allows us to calculate heat flux leaving over
-        !-- side and top borders of the domain
+!--     broadband albedo of the land, roof and wall surface
+!--     for domain border and sky set artifically to 1.0
+!--     what allows us to calculate heat flux leaving over
+!--     side and top borders of the domain
         ALLOCATE ( albedo_surf(nsurfl) )
         albedo_surf = 1.0_wp
        
-        !-- wall and roof surface parameters
+!--     wall and roof surface parameters
         ALLOCATE ( isroof_surf(startenergy:endenergy) )
         ALLOCATE ( emiss_surf(startenergy:endenergy) )
@@ -903,10 +760,10 @@
         ALLOCATE ( roughness_wall(startenergy:endenergy) )
        
-        !-- allocate wall and roof material parameters
+!--     allocate wall and roof material parameters
         ALLOCATE ( thickness_wall(startenergy:endenergy) )
         ALLOCATE ( lambda_h(nzb_wall:nzt_wall,startenergy:endenergy) )
         ALLOCATE ( rho_c_wall(nzb_wall:nzt_wall,startenergy:endenergy) )
 
-        !-- allocate wall and roof layers sizes
+!--     allocate wall and roof layers sizes
         ALLOCATE ( zwn(nzb_wall:nzt_wall) )
         ALLOCATE ( dz_wall(nzb_wall:nzt_wall+1, startenergy:endenergy) )
@@ -916,5 +773,5 @@
         ALLOCATE ( zw(nzb_wall:nzt_wall, startenergy:endenergy) )
 
-        !-- allocate wall and roof temperature arrays
+!--     allocate wall and roof temperature arrays
 #if defined( __nopointer )
         ALLOCATE ( t_surf(startenergy:endenergy) )
@@ -928,19 +785,19 @@
         ALLOCATE ( t_wall_2(nzb_wall:nzt_wall+1,startenergy:endenergy) )
 
-        !-- initial assignment of the pointers
+!--     initial assignment of the pointers
         t_wall    => t_wall_1;    t_wall_p    => t_wall_2
         t_surf => t_surf_1; t_surf_p => t_surf_2
 #endif
 
-        !-- allocate intermediate timestep arrays
+!--     allocate intermediate timestep arrays
         ALLOCATE ( tt_surface_m(startenergy:endenergy) )
         ALLOCATE ( tt_wall_m(nzb_wall:nzt_wall+1,startenergy:endenergy) )
 
-        !-- allocate wall heat flux output array
+!--     allocate wall heat flux output array
         ALLOCATE ( wshf(startwall:endwall) )
         ALLOCATE ( wshf_eb(startenergy:endenergy) )
         ALLOCATE ( wghf_eb(startenergy:endenergy) )
 
-        !-- set inital values for prognostic quantities
+!--     set inital values for prognostic quantities
         tt_surface_m = 0.0_wp
         tt_wall_m    = 0.0_wp
